{
    "type": "minecraft:crafting_shaped",
    "pattern": [
        " g ",
        "gAg",
        " g "
    ],
    "key": {
        "g": "minecraft:gold_ingot",
        "A": "minecraft:apple"
    },
    "result": {
        "id": "minecraft:golden_apple",
        "count": 1
    }
}